package com.ibm.pdq.test;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

/**
 * A sample application that executes 3 simple SQL statements on the given database.
 */
public class TestSQL3
{
  public static void main (String args[])
  {
    if (args.length < 3) {
      System.out.println ("Please provide database connection JDBC URL, username, password.");
      System.out.println ("Exiting");
      return;
    }
    String url = args[0];
    String user = args[1];
    String pass = args[2];

    try {
      Class.forName ("com.ibm.db2.jcc.DB2Driver");
    }
    catch (Exception e) {
      System.out.println ("Failed to load driver.");
      return;
    }
    try {
      Connection con = DriverManager.getConnection (url, user, pass);
      try {
        Statement select = con.createStatement ();
        try {
          ResultSet result = select.executeQuery ("SELECT 1, 'myname' FROM SYSIBM.SYSDUMMY1");

          System.out.println ("Got results:");
          while (result.next ()) { // process results one row at a time
            int col1 = result.getInt (1);
            String col2 = result.getString (2);

            System.out.println ("col1 = " + col1);
            System.out.println ("col2 = " + col2);
          }
          result.close ();

          result = select.executeQuery ("SELECT 2, 'yourname' FROM SYSIBM.SYSDUMMY1");

          System.out.println ("Got results:");
          while (result.next ()) { // process results one row at a time
            int col1 = result.getInt (1);
            String col2 = result.getString (2);

            System.out.println ("col1 = " + col1);
            System.out.println ("col2 = " + col2);
          }
          result.close ();

          result = select.executeQuery ("SELECT 3, 'aname' FROM SYSIBM.SYSDUMMY1");

          System.out.println ("Got results:");
          while (result.next ()) { // process results one row at a time
            int col1 = result.getInt (1);
            String col2 = result.getString (2);

            System.out.println ("col1 = " + col1);
            System.out.println ("col2 = " + col2);
          }
          result.close ();

        }
        finally {
          select.close ();
        }
      }
      finally {
        con.close ();
      }
    }
    catch (Exception e) {
      e.printStackTrace ();
    }
    System.out.println ("Done.");
  }

}
